Bug 1275385 - When syncing packages, errors aren't properly handled or displayed to the user
When syncing packages, errors aren't properly handled or displayed to the user
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: fusor-server (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity unspecified
: TP3
: 1.0
Assigned To: Erik Nelson
Tasos Papaioannou
: Triaged
Depends On: 1246054
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 14:04 EDT by David Davis
Modified: 2016-04-29 12:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Davis 2015-10-26 14:04:51 EDT
Description of problem:

During sync, if you run into problems with bad repo metadata, the deployment continues as if nothing is wrong and no errors are reported to the user.


Version-Release number of selected component (if applicable):

Nightly


How reproducible:

Always.


Steps to Reproduce:
1. Mirror the Red Hat CDN 
2. Mess with the checksums in a repomd.xml file 
3. Point your RHCI app to the mirrored CDN (via the Subscriptions page)
4. Perform a deployment

Actual results:

Deployment continues and no errors are reported to the user until the provisioning fails. The dynflow tasks are reported as "success" but the sync status page says "New packages: 9 (921 KB). Failed to download 9 packages."


Expected results:

The dynflow task should error.
Comment 1 Jean-Francois Saucier 2016-01-14 09:37:57 EST
I can confirm that this bug exist. I was doing a RHEV deployment yesterday and my deployment got stuck at 91.2%.

In the Foreman deployment.log, all I have is "Rhev::WaitForDataCenter get_status method".

When I go to "Content -> Sync Status" in the Satellite interface, I can see that the repo for RHEV did not sync correctly and show an error message :

"Yum Metadata: [Errno 2] No such file or directory: u'/var/lib/pulp/working/repos/Default_Organization-Red_Hat_Enterprise_Virtualization-Red_Hat_Enterprise_Virtualization_Manager_3_5_RPMs_x86_64_6Server/importers/yum_importer/tmpdC20BY/44065fd3e22b2eebbfaf64dc6c970bf11cd1d3cc-filelists.xml.gz'"

All the other repos were synced correctly.

To solve the issue, I just started the synchronisation back again and the deployment completed successfully.
Comment 2 John Matthews 2016-03-07 14:31:47 EST
This was fixed when we moved to Sat 6.1.7
Comment 3 Tasos Papaioannou 2016-04-18 19:06:05 EDT
Verified on QCI-1.0-RHEL-7-20160411.t.0.

Note You need to log in before you can comment on or make changes to this bug.